Foreman - Refactor #14997

Accessible attributes for widget
05/11/2016 05:02 AM - Ondrej Prazak

Status: Rejected
Priority: Normal
Assignee: Ondrej Prazak
Category: Dashboard
Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3515
Description

Widget's template and name attributes are currently not accessible, which prevents foreman_openscap from reusing widgets on its
pages.
https://github.com/theforeman/foreman_openscap/blob/master/app/views/policy dashboard/index.html.erb#L7-L.9

Related issues:
Related to OpenSCAP - Bug #15001: Widgets on policy dashboard break the page Closed 05/11/2016

History

#1 - 05/11/2016 05:10 AM - Dominic Cleal

- Tracker changed from Support to Refactor

- Category set to Dashboard

- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZak

- Pull request https://github.com/theforeman/foreman/pull/3515 added

Support tickets shouldn't be used for code changes, they have different fields.

#2 - 05/11/2016 07:01 AM - Ondfej Prazak
- Related to Bug #15001: Widgets on policy dashboard break the page added

#3 - 06/21/2016 08:44 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected

PR was rejected, these attributes should not be accessible.

05/22/2024 1/1



https://github.com/theforeman/foreman_openscap/blob/master/app/views/policy_dashboard/index.html.erb#L7-L9
http://www.tcpdf.org

